edu.northwestern.at.morphadorner.xgtagger

## Class XGOptions

- java.lang.Object
- - edu.northwestern.at.morphadorner.xgtagger.XGOptions

- All Implemented Interfaces:
    java.io.Serializable

      public class XGOptions
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `boolEntityIgnoreFiles`
    `(package private) boolean` | `boolIds`
    `(package private) boolean` | `boolLog`
    `(package private) boolean` | `boolMergeEntities`
    `(package private) boolean` | `boolRepeatAttributes`
    `(package private) boolean` | `boolTreatAllEntities`
    `(package private) boolean` | `boolVerbose`
    `(package private) boolean` | `ignoreTagCase`
    `(package private) int` | `intPath`
    `(package private) int` | `intWordField`
    `(package private) MorphAdornerLogger` | `morphAdornerLogger`
    `(package private) MorphAdornerSettings` | `morphAdornerSettings`
    `(package private) java.util.Properties` | `properties`
    `(package private) java.lang.String` | `strFieldDelimiters`
    `(package private) java.lang.String` | `strId`
    `(package private) java.lang.String` | `strPuncTagName`
    `(package private) java.lang.String` | `strRelativeURIBase`
    `(package private) java.lang.String` | `strSpecialSeparator`
    `(package private) java.lang.String` | `strSurroundMarker`
    `(package private) java.lang.String` | `strTagsPath`
    `(package private) java.lang.String` | `strWordDelimiters`
    `(package private) java.lang.String` | `strWordPath`
    `(package private) java.lang.String` | `strWordTagName`
    `(package private) java.util.Vector<java.lang.String>` | `vectorJumpTags`
    `(package private) java.util.Vector<java.lang.String>` | `vectorSoftTags`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XGOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getEntityIgnoreFiles()` Tests whether the application has been asked not to treat external file entity references.
    `boolean` | `getEntityMerging()` Tests whether the application has been asked to merge all entity references into a single output file.
    `boolean` | `getEntityTreatAll()` Tests whether the application has been asked to treat all entity references.
    `java.lang.String` | `getFieldDelimiters()`
    `java.lang.String` | `getIdArgumentName()`
    `boolean` | `getIgnoreTagCase()`
    `java.util.Vector<java.lang.String>` | `getJumpTags()`
    `MorphAdornerLogger` | `getLogger()` Get the logger.
    `MorphAdornerSettings` | `getMorphAdornerSettings()` Get the MorphAdorner settings.
    `java.lang.String` | `getProperty(java.lang.String str)`
    `java.lang.String` | `getPuncTagName()`
    `java.lang.String` | `getRelativeURIBase()` Returns the base for relative URIs.
    `java.util.Vector<java.lang.String>` | `getSoftTags()`
    `java.lang.String` | `getSpecialSeparator()`
    `java.lang.String` | `getSurroundMarker()`
    `java.lang.String` | `getTagsPathArgumentName()`
    `java.lang.String` | `getWordDelimiters()`
    `int` | `getWordField()`
    `java.lang.String` | `getWordPathArgumentName()`
    `java.lang.String` | `getWordTagName()`
    `boolean` | `getWriteIds()`
    `boolean` | `getWriteLog()`
    `int` | `getWritePath()`
    `boolean` | `isJumpTag(java.lang.String strTagName)`
    `boolean` | `isOutputDirectory()` Tests whether the specified output file name is a directory.
    `boolean` | `isSoftTag(java.lang.String strTagName)`
    `boolean` | `isVerbose()`
    `protected void` | `log(java.lang.String strText, int intType)` Writes a text in the appropriate stream, according to LOG property and to boolError.
    `boolean` | `repeatAttributes()` Tests whether attributes should be repeated while creating new nodes for multiple word terms (term containing one or several special separators)
    `void` | `repeatAttributes(boolean b)` Asks application to repeat attributes while creating new nodes for multiple word terms (term containing one or several special separators) (or not)
    `void` | `setEntityIgnoreFiles(boolean b)` Ask application to ignore external file entity references (or not)
    `void` | `setEntityMerging(boolean b)` Ask application to merge all entity references into a single output file (or not)
    `void` | `setEntityTreatAll(boolean b)` Ask application to treat all entity references (or not)
    `void` | `setFieldDelimiters(java.lang.String s)`
    `void` | `setIdArgumentName(java.lang.String s)`
    `void` | `setIgnoreTagCase(boolean ignoreTagCase)` Set ignore tag case flag.
    `void` | `setJumpTags(java.lang.String tags)`
    `protected void` | `setJumpTags(java.util.Vector<java.lang.String> v)`
    `void` | `setLogger(MorphAdornerLogger morphAdornerLogger)` Set the logger.
    `void` | `setMorphAdornerSettings(MorphAdornerSettings morphAdornerSettings)` Set the MorphAdorner settings..
    `void` | `setProperties(java.util.Properties p)`
    `java.lang.Object` | `setProperty(java.lang.String s1, java.lang.String s2)`
    `void` | `setPuncTagName(java.lang.String s)`
    `void` | `setRelativeURIBase(java.lang.String str)` Sets the base for relative URIs.
    `void` | `setSoftTags(java.lang.String tags)`
    `protected void` | `setSoftTags(java.util.Vector<java.lang.String> v)`
    `void` | `setSpecialSeparator(java.lang.String s)`
    `void` | `setSurroundMarker(java.lang.String s)`
    `void` | `setTagsPathArgumentName(java.lang.String s)`
    `void` | `setVerbose(boolean b)`
    `void` | `setWordDelimiters(java.lang.String s)`
    `void` | `setWordField(int i)`
    `void` | `setWordPathArgumentName(java.lang.String s)`
    `void` | `setWordTagName(java.lang.String s)`
    `void` | `setWriteIds(boolean b)`
    `void` | `setWriteLog(boolean b)`
    `void` | `setWritePath(int i)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vectorSoftTags

          java.util.Vector<java.lang.String> vectorSoftTags

    - #### vectorJumpTags

          java.util.Vector<java.lang.String> vectorJumpTags

    - #### strFieldDelimiters

          java.lang.String strFieldDelimiters

    - #### strWordDelimiters

          java.lang.String strWordDelimiters

    - #### strSpecialSeparator

          java.lang.String strSpecialSeparator

    - #### strSurroundMarker

          java.lang.String strSurroundMarker

    - #### intPath

          int intPath

    - #### boolLog

          boolean boolLog

    - #### boolIds

          boolean boolIds

    - #### boolVerbose

          boolean boolVerbose

    - #### boolMergeEntities

          boolean boolMergeEntities

    - #### boolTreatAllEntities

          boolean boolTreatAllEntities

    - #### boolEntityIgnoreFiles

          boolean boolEntityIgnoreFiles

    - #### boolRepeatAttributes

          boolean boolRepeatAttributes

    - #### strId

          java.lang.String strId

    - #### strTagsPath

          java.lang.String strTagsPath

    - #### strWordPath

          java.lang.String strWordPath

    - #### intWordField

          int intWordField

    - #### strRelativeURIBase

          java.lang.String strRelativeURIBase

    - #### strWordTagName

          java.lang.String strWordTagName

    - #### strPuncTagName

          java.lang.String strPuncTagName

    - #### properties

          java.util.Properties properties

    - #### ignoreTagCase

          boolean ignoreTagCase

    - #### morphAdornerLogger

          MorphAdornerLogger morphAdornerLogger

    - #### morphAdornerSettings

          MorphAdornerSettings morphAdornerSettings

  - ### Constructor Detail

    - #### XGOptions

          public XGOptions()

  - ### Method Detail

    - #### log

          protected void log(java.lang.String strText,
                 int intType)
                      throws java.io.IOException

      Writes a text in the appropriate stream, according to LOG property and to boolError.
      Parameters:
        `strText` - the text to print.
        `intType` - specifies the type of log:
        - `-1` for an error message;
        - `0` for a message only if a log has been asked;
        - `1` for a message in any case.
      Throws:
        `java.io.IOException`

    - #### setLogger

          public void setLogger(MorphAdornerLogger morphAdornerLogger)

      Set the logger.
      Parameters:
        `morphAdornerLogger` - The logger.

    - #### getLogger

          public MorphAdornerLogger getLogger()

      Get the logger.
      Returns:
        The logger.

    - #### setMorphAdornerSettings

          public void setMorphAdornerSettings(MorphAdornerSettings morphAdornerSettings)

      Set the MorphAdorner settings..
      Parameters:
        `morphAdornerSettings` - The settings.

    - #### getMorphAdornerSettings

          public MorphAdornerSettings getMorphAdornerSettings()

      Get the MorphAdorner settings.
      Returns:
        The MorphAdorner settings.

    - #### setProperties

          public void setProperties(java.util.Properties p)

    - #### setProperty

          public java.lang.Object setProperty(java.lang.String s1,
                                     java.lang.String s2)

    - #### setPuncTagName

          public void setPuncTagName(java.lang.String s)

    - #### setWordTagName

          public void setWordTagName(java.lang.String s)

    - #### setWordField

          public void setWordField(int i)

    - #### setJumpTags

          protected void setJumpTags(java.util.Vector<java.lang.String> v)

    - #### setSoftTags

          protected void setSoftTags(java.util.Vector<java.lang.String> v)

    - #### setJumpTags

          public void setJumpTags(java.lang.String tags)

    - #### setSoftTags

          public void setSoftTags(java.lang.String tags)

    - #### setFieldDelimiters

          public void setFieldDelimiters(java.lang.String s)

    - #### setWordDelimiters

          public void setWordDelimiters(java.lang.String s)

    - #### setSpecialSeparator

          public void setSpecialSeparator(java.lang.String s)

    - #### setIdArgumentName

          public void setIdArgumentName(java.lang.String s)

    - #### setSurroundMarker

          public void setSurroundMarker(java.lang.String s)

    - #### setTagsPathArgumentName

          public void setTagsPathArgumentName(java.lang.String s)

    - #### setWordPathArgumentName

          public void setWordPathArgumentName(java.lang.String s)

    - #### setWritePath

          public void setWritePath(int i)

    - #### setWriteLog

          public void setWriteLog(boolean b)

    - #### setVerbose

          public void setVerbose(boolean b)

    - #### repeatAttributes

          public void repeatAttributes(boolean b)

      Asks application to repeat attributes while creating new nodes for multiple word terms (term containing one or several special separators) (or not)
      Parameters:
        `b` - - `true` if attributes should be repeated in any case, `false` if only the first word should contain the attributes.

    - #### setRelativeURIBase

          public void setRelativeURIBase(java.lang.String str)

      Sets the base for relative URIs.
      Parameters:
        `str` - - the String representation of the base for relative URIs

    - #### setEntityMerging

          public void setEntityMerging(boolean b)

      Ask application to merge all entity references into a single output file (or not)
      Parameters:
        `b` - - `true` if asking for merging, `false` otherwise
      See Also:
        `getEntityMerging()`

    - #### setEntityTreatAll

          public void setEntityTreatAll(boolean b)

      Ask application to treat all entity references (or not)
      Parameters:
        `b` - - `true` if asking for treating all entity references, `false` otherwise
      See Also:
        `getEntityTreatAll()`

    - #### setEntityIgnoreFiles

          public void setEntityIgnoreFiles(boolean b)

      Ask application to ignore external file entity references (or not)
      Parameters:
        `b` - - `true` if asking for ignoring external file entity references. `false` otherwise
      See Also:
        `getEntityIgnoreFiles()`

    - #### setWriteIds

          public void setWriteIds(boolean b)

    - #### setIgnoreTagCase

          public void setIgnoreTagCase(boolean ignoreTagCase)

      Set ignore tag case flag.
      Parameters:
        `ignoreTagCase` - true to ignore xml tag case.

    - #### getProperty

          public java.lang.String getProperty(java.lang.String str)

    - #### getJumpTags

          public java.util.Vector<java.lang.String> getJumpTags()

    - #### getSoftTags

          public java.util.Vector<java.lang.String> getSoftTags()

    - #### isSoftTag

          public boolean isSoftTag(java.lang.String strTagName)

    - #### isJumpTag

          public boolean isJumpTag(java.lang.String strTagName)

    - #### getSurroundMarker

          public java.lang.String getSurroundMarker()

    - #### getFieldDelimiters

          public java.lang.String getFieldDelimiters()

    - #### getWordDelimiters

          public java.lang.String getWordDelimiters()

    - #### getSpecialSeparator

          public java.lang.String getSpecialSeparator()

    - #### getWritePath

          public int getWritePath()

    - #### getWriteLog

          public boolean getWriteLog()

    - #### getWriteIds

          public boolean getWriteIds()

    - #### isVerbose

          public boolean isVerbose()

    - #### repeatAttributes

          public boolean repeatAttributes()

      Tests whether attributes should be repeated while creating new nodes for multiple word terms (term containing one or several special separators)
      Returns:
        `true` if attributes should be repeated in any case, `false` if only the first word should contain the attributes.

    - #### getEntityMerging

          public boolean getEntityMerging()

      Tests whether the application has been asked to merge all entity references into a single output file.
      Returns:
        `true` if entity references should be merged into a single file, `false` otherwise.
      See Also:
        `setEntityMerging(boolean)`

    - #### getEntityTreatAll

          public boolean getEntityTreatAll()

      Tests whether the application has been asked to treat all entity references.
      Returns:
        `true` if entity references should be treated `false` otherwise.
      See Also:
        `setEntityTreatAll(boolean)`

    - #### getEntityIgnoreFiles

          public boolean getEntityIgnoreFiles()

      Tests whether the application has been asked not to treat external file entity references.
      Returns:
        `true` if external file entity references should be ignored `false` otherwise.
      See Also:
        `setEntityIgnoreFiles(boolean)`

    - #### getRelativeURIBase

          public java.lang.String getRelativeURIBase()

      Returns the base for relative URIs.
      Returns:
        the base for relative URIs

    - #### getPuncTagName

          public java.lang.String getPuncTagName()

    - #### getWordTagName

          public java.lang.String getWordTagName()

    - #### getWordField

          public int getWordField()

    - #### getIdArgumentName

          public java.lang.String getIdArgumentName()

    - #### getTagsPathArgumentName

          public java.lang.String getTagsPathArgumentName()

    - #### getWordPathArgumentName

          public java.lang.String getWordPathArgumentName()

    - #### getIgnoreTagCase

          public boolean getIgnoreTagCase()

    - #### isOutputDirectory

          public boolean isOutputDirectory()

      Tests whether the specified output file name is a directory.
      Returns:
        `true` if the specified output file name is a directory, `false` otherwise.

        Always returns false in MorphAdorner.